ul {
  list-style: none;
  margin: 2rem auto;
  width: 90%;
  max-width: 20rem;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.26);
  padding: 1rem;    border-radius: 12px;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  height: 30rem;
  background-color: #eeeeee;
}
  
li {
  margin: 1rem 0;
  text-align: center;
  font-size: 1.5rem;
  border-bottom: 1px solid #ccc;
  padding-bottom: 1rem;
}
  
li:last-of-type,
li:nth-of-type(6) {
  border-bottom: none;
}
  
li a {
  text-decoration: none;
  color: #383838;
}
  
li a:hover,
li a:active {
  color: #7e0154;
}